Read the playground provisioning status
import requests
url = "https://platform.ankra.app/org/clusters/playground/{clusterId}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/clusters/playground/{clusterId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/clusters/playground/{clusterId}/status \
--header 'Authorization: Bearer <token>'{
"cluster_id": "<string>",
"phase": "pending",
"expires_at": "2023-11-07T05:31:56Z",
"status_message": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}clusters
Read the playground provisioning status
Reads the provisioning phase of the organisation’s playground. A playground belonging to another organisation is not found.
GET
/
org
/
clusters
/
playground
/
{clusterId}
/
status
Read the playground provisioning status
import requests
url = "https://platform.ankra.app/org/clusters/playground/{clusterId}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/clusters/playground/{clusterId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/clusters/playground/{clusterId}/status \
--header 'Authorization: Bearer <token>'{
"cluster_id": "<string>",
"phase": "pending",
"expires_at": "2023-11-07T05:31:56Z",
"status_message": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.